<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <epson.common.ScalableImageView
        android:id="@+id/preview_view"
        android:background="@color/background_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/function_bar"
        android:layout_alignParentLeft="true" />

    <ProgressBar
        android:id="@+id/progressBar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true" />

    <LinearLayout
        android:id="@+id/function_bar"
        android:layout_centerInParent="true"
        style="@style/FunctionBar">

        <Button
            android:id="@+id/save_button"
            android:text="@string/save_button"
            style="@style/FunctionButton.Normal" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <Button
            android:id="@+id/print_button"
            android:text="@string/print_preview_button"
            style="@style/FunctionButton.Normal" />

        <Button
            android:id="@+id/retouch_button"
            android:text="@string/retouch_button"
            style="@style/FunctionButton.Execute" />
    </LinearLayout>
</RelativeLayout>
